REGISTRY := git.secretbee.buzz
INVENTORY := inventory.yml

build-%:
	podman build --platform linux/arm64 -t $(REGISTRY)/bee/$*:latest playbooks/$*

push-%: build-%
	podman push $(REGISTRY)/bee/$*:latest

deploy-%:
	ansible-playbook -i $(INVENTORY) playbooks/$*/$*.yml --vault-password-file .vault-password